<html>
  <head>
    <title>Welcome to Stone Scissors Paper on Feathers</title>
  </head>
  <body>
    <script language="JavaScript">
    var url='http://localhost:3030/game'
    function makeTurn(choise)
      {
        // Раунд игры иницуиируется ходом человека 
        postList(choise);
        getList();
        return;
      }
      
      
      function postList(choise)
      {
      let myHeaders=new Headers();
      myHeaders.append('content-type', 'application/json');
      let now=new Date();
      let bodyobj={people:choise, time:now}
      let promo =getData(url, {method: 'POST', headers: myHeaders, body:JSON.stringify(bodyobj) });
      promo.then(response=>{
      let str='Status '+response.status+'<BR>';
      str+='Headers '+response.headers.get('Content-Type')+'<BR>';
      str+='Responce type '+response.type;
      document.getElementById('statistic').innerHTML=str;
      return response.json();
      })
      .then(data=> {
       document.getElementById('statistic').innerHTML=JSON.stringify(data);
      // document.getElementById('statistic').innerHTML=showTurns(data.data);
      })
      .catch ( err => { console.log(err);});
                 
      return; 
      }
      
      function getList()
      {
      let promo =getData(url);
      promo.then(response=>{
      let str='Status '+response.status+'<BR>';
      str+='Headers '+response.headers.get('Content-Type')+'<BR>';
      str+='Responce type '+response.type;
      document.getElementById('statistic').innerHTML=str;
      return response.json();
      })
      .then(data=> {
       document.getElementById('statistic').innerHTML=JSON.stringify(data);
       document.getElementById('statistic').innerHTML=showTurns(data.data);
      })
      .catch ( err => { console.log(err);});
      return;            
      }

      function getData(url, obj)
      {
      return fetch(url, obj);    
      }
      
      function showTurns(data)
      {
      // Таблица с результатми игры
      var str='<table width="400" border="0" align="left"><tr><td colspan="4" align="center">Результаты игры</td></tr><tr><td>Время игры</td><td>Ваш выбор</td>';
      str+='<td>Компьютера выбор</td><td>Результат игры</td></tr>';
      data.sort(compareTime);
      for (var i=0; i<data.length; i++)
      { let color='#FFFFFF';
        if (data[i].mark=='Победа') color='#FF0000'
        if (data[i].mark=='Поражение') color='#AAAAAA'
        if (data[i].mark=='Ничья') color='#22FF22'
        str+='<tr bgcolor="'+color+'"><td>'+data[i].time+'</td>';
        str+='<td>'+data[i].people+'</td>';
        str+='<td>'+data[i].remote+'</td>';
        str+='<td>'+data[i].mark+'</td></tr>';
      }
      str+='</table>';
      return str;
      }
      
      
      function compareTime(A, B) 
      { // Функция сортрировки по времени ибо фреймворк не может нормально сортировать
        if (A.time>B.time) {return 1} else {return -1}
        }





    </script>
    Сделайте Ваш выбор: <BR><BR>
      <input type='button' id='Stone' value='Камень' onClick=makeTurn('Камень')>
      <input type='button' id='Stone' value='Ножницы' onClick=makeTurn('Ножницы')>
      <input type='button' id='Stone' value='Бумага' onClick=makeTurn('Бумага')>
      <div id='statistic'></div>
      </BODY>
      </HTML>
  </body>
</html>
